@import '../mixins/';

.nav-container {
  z-index: 100;
  width: 100%;
  position: fixed;
  top: 0;
  height: 3rem;
  margin: auto;
  display: flex;
  padding: 0 3rem;
  align-items: center;
  justify-content: space-between;
  background-color: color('blacks', 'default');
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .1);

  h1 {
    text-wrap: nowrap;
    font-size: 1.25rem;
    color: color('grays', 'default');
  }

  @media only screen and (max-width: 600px) {
    padding: 0 1rem;
  }
}

.nav-list {
  text-decoration: none;

  padding: 0rem;

  .nav-list-item {
    position: relative;
    display: inline;
    color: color('secondary', 'default');
    cursor: pointer;
    padding: 1rem;

    &:hover {
      color: color('teals', 'default');
    }

    &.active {
      color: color('teals', 'default');
    }

    // Slide in underline on hover
    &::after {
      content: '';
      position: absolute;
      bottom: 0.5rem;
      left: .25rem;
      height: 0.1em;
      background-color: color('teals', 'default');
      transition: opacity 300ms, transform 300ms;
    }

    &.active::after {
      width: calc(100% - .5rem);
    }

    &:not(.active) {
      &::after {
        opacity: 0;
        width: 0;
      }

      &::after {
        overflow: hidden;
      }

      &:hover::after,
      &:focus::after {
        opacity: 1;
        transition: width 300ms ease-in-out;
        width: calc(100% - .5rem);
      }
    }
  }
}

.nav-menu-drawer {
  position: relative;
  margin-top: 0.25rem;
  
  img {
    cursor: pointer;
    padding: 0.5rem;

    &:hover {
      background-color: color('grays', 'dark');
    }
  }

  ul {
    margin-top: 0rem;
    top: 2.75rem;
    position: absolute;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    right: 0;
    background-color: color('grays', 'dark');
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .1);
    text-align: center;
    width: fit-content;
    transform: translateX(calc(100% + 1rem));
    transition: transform 0.3s ease-out;
  }

  ul.open {
    transform: translateX(1rem);
  }
}